JBoss API: Interface ServiceMBean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util
Interface ServiceMBean

All Superinterfaces:
  Service

All Known Subinterfaces:
  AbstractWebContainerMBean, AutoDeployerMBean, AutoDeployerMBean, ClientUserTransactionServiceMBean, ConnectorFactoryServiceMBean, ContainerFactoryMBean, CounterServiceMBean, DeployerMBean, ExternalContextMBean, HypersonicDatabaseMBean, InstantDBDatabaseMBean, J2eeDeployerMBean, JDBCDataSourceLoaderMBean, JdbcProviderMBean, JMSProviderLoaderMBean, JMXAdaptorServiceMBean, JNDIViewMBean, MailServiceMBean, NamingAliasMBean, NamingServiceMBean, RawXADataSourceLoaderMBean, RMIConnectorServiceMBean, SchedulableExampleMBean, SchedulerMBean, ServerSessionPoolLoaderMBean, TransactionManagerServiceMBean, TransactionManagerServiceMBean, WebServiceMBean, XADataSourceLoaderMBean

All Known Implementing Classes:
  ServiceMBeanSupport

public interface ServiceMBean
extends Service

An interface describing a JBoss service MBean.

Version:
  $Revision: 1.4 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com), Scott_Stark@displayscape.com
See Also:
  `Service`, `ServiceMBeanSupport`

Field Summary
`static int` | `STARTED`
`static int` | `STARTING`
`static java.lang.String[]` | `states`
`static int` | `STOPPED`
`static int` | `STOPPING`

Method Summary
`java.lang.String` | `getName()`
`int` | `getState()`
`java.lang.String` | `getStateString()`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Field Detail

### states

    public static final java.lang.String[] states

### STOPPED

    public static final int STOPPED

### STOPPING

    public static final int STOPPING

### STARTING

    public static final int STARTING

### STARTED

    public static final int STARTED

Method Detail

### getName

    public java.lang.String getName()

### getState

    public int getState()

### getStateString

    public java.lang.String getStateString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.